> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Jobs URL

> Generate Jobs URL redirects you to the Jobs page of Connect AI.

This endpoint returns a redirect URL scoped to a sub-account, allowing Connect AI Embed administrators or sub-account users to manage cache connections and jobs through CData's co-branded visual interface.

If you have not already done so, you must set up a PostgreSQL data warehouse for your cached data. Click **Set Up Data Warehouse** to view the **Add Connection** page for [PostgreSQL](/en/Data-Sources/PostgreSQL-Embedded). Follow the instructions.

Once you have a data warehouse set up, click **Add Job** to add a cache job. Follow the steps in the **Add Jobs** wizard to schedule the job. See [Add a Cache Job](/en/Caching#add-a-cache-job) for detailed instructions.

Note that when you enable caching of data, Connect AI Embed runs database queries against the cached data, not the live data. See [Caching](/en/Caching) for a complete overview of the Caching feature.


## OpenAPI

````yaml en/API/REST-API-Embedded.yaml POST /poweredby/jobs
openapi: 3.1.0
info:
  title: CData Connect AI REST API Embedded
  version: v1
servers:
  - url: https://cloud.cdata.com/api
    description: Production base URL
security:
  - BearerAuth: []
paths:
  /poweredby/jobs:
    post:
      tags:
        - Jobs
      summary: Generate Jobs URL
      description: |
        Generate Jobs URL redirects you to the Jobs page of Connect AI.
      operationId: generateJobsURL
      responses:
        '200':
          description: A string containing the URL to redirect the user to.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedirectURLResponse'
              example:
                redirectURL: >-
                  https://cloud.cdata.com/oem/user/jobs?token=eyJhbGciOiJSUzI1NiIs...truncated...
components:
  schemas:
    RedirectURLResponse:
      type: object
      required:
        - redirectURL
      properties:
        redirectURL:
          type: string
          description: >-
            A string containing the CData-hosted connection URL to redirect the
            user to.
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT token authentication. Include the token in the Authorization header
        as `Bearer {token}`. See
        [Authentication](/en/API/Authentication-Embedded) for more information
        on creating a token.

````